Zum Hauptinhalt springen
Version: API v1

Rechnungen eines Kunden

GET/v1/customers/{customerNumber}/invoices
API-Version
v1
Request-Methode
GET
Operation-ID
listInvoicesByCustomer

Diese Ressource enthält eine Sammlung aller Rechnungen eines Kunden

Request​

  • customerNumberintegerrequired

    Kundennummer

Responses​

Format
application/json
Beschreibung

Eine Liste aller Rechnungen des Kunden

  • Array[
    • *object
      • invoiceNumbernumberrequired

        Die Rechnungsnummer

      • invoicedAtstring (datetime)required

        Das Datum der Rechnungsstellung

      • netTotalobjectrequired
        • currency"EUR"required

          Die Währung des Betrags

      • grossTotalobjectrequired
        • currency"EUR"required

          Die Währung des Betrags

      • itemsArray von objectrequired
        • Array[
          • *object
            • titlestringrequired
            • textstringrequired
            • netTotalobjectrequired
              • currency"EUR"required

                Die Währung des Betrags

            • quantityobjectrequired
              • amountintegerrequired

                Anzahl

              • unitstring

                Einheit

          ]
    ]
Content-Type: application/json

[
{
"invoiceNumber": 123,
"invoicedAt": "string",
"netTotal": {
"currency": "EUR"
},
"grossTotal": {
"currency": "EUR"
},
"items": [
{
"title": "string",
"text": "string",
"netTotal": {
"currency": "EUR"
},
"quantity": {
"amount": 123,
"unit": "string"
}
}
]
}
]
{
"type": "array",
"items": {
"title": "Invoice",
"required": [
"grossTotal",
"invoiceNumber",
"invoicedAt",
"items",
"netTotal"
],
"type": "object",
"properties": {
"invoiceNumber": {
"type": "number",
"description": "Die Rechnungsnummer"
},
"invoicedAt": {
"type": "string",
"description": "Das Datum der Rechnungsstellung",
"format": "datetime"
},
"netTotal": {
"title": "InvoiceAmount",
"required": [
"currency"
],
"type": "object",
"properties": {
"currency": {
"type": "string",
"description": "Die Währung des Betrags",
"enum": [
"EUR"
]
}
}
},
"grossTotal": {
"title": "InvoiceAmount",
"required": [
"currency"
],
"type": "object",
"properties": {
"currency": {
"type": "string",
"description": "Die Währung des Betrags",
"enum": [
"EUR"
]
}
}
},
"items": {
"type": "array",
"items": {
"title": "InvoiceItem",
"required": [
"netTotal",
"quantity",
"text",
"title"
],
"type": "object",
"properties": {
"title": {
"type": "string"
},
"text": {
"type": "string"
},
"netTotal": {
"title": "InvoiceAmount",
"required": [
"currency"
],
"type": "object",
"properties": {
"currency": {
"type": "string",
"description": "Die Währung des Betrags",
"enum": [
"EUR"
]
}
}
},
"quantity": {
"required": [
"amount"
],
"type": "object",
"properties": {
"amount": {
"type": "integer",
"description": "Anzahl"
},
"unit": {
"type": "string",
"description": "Einheit"
}
}
}
}
}
}
}
}
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/customers/123/invoices

Auf dieser Seite